#pragma once

#include "node.hpp"

struct CombinedGradeList;

struct CombinedGradeAverage : Node<CombinedGradeList> {
    using Node<CombinedGradeList>::Node;

    void recalculate() noexcept;

    /**
     * \brief Average grade considering all grades of students who attended; set
     * to 1.0 if nobody attended.
     */
    double mAverageGrade = 0.;
    /**
     * \brief Average grade when ignoring the grade 5.0; set to 1.0 if nobody
     * passed.
     */
    double mAverageGradePassed = 0.;

    /**
     * \brief The number of students who passed.
     */
    int mNrPassed = 0;
};
