#include "points.hpp"

#include <QString>

#include <stdexcept>

Points stringToPoints(QString s) noexcept(false) {
    if (s.isEmpty() || s == "-") {
        return Points{0.};
    }

    // dynexite file might use dot or comma as decimal separator
    s.replace(',', '.');

    bool success;
    const auto res = s.toDouble(&success);
    if (success) {
        return Points{res};
    } else {
        throw std::invalid_argument{"Could not convert string \"" +
                                    s.toStdString() + "\" to a number."};
    }
}
